Test large language model connection - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Test large language model connection
HTTP Method: POST
Endpoint: /v2.0/largelanguagemodels/{largeLanguageModelId}/test
cURL Example
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/test \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"projectId": "<string>"
}
'
Python Example
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/test"
payload = { "projectId": "<string>" }
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)
JavaScript Example
const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({projectId: '<string>'})
};
fetch('https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/test', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP Example
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/test",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'projectId' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}
Go Example
package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId}/test"
payload := strings.NewReader("{\n \"projectId\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}
Response Codes
200: Credentials have been validated and the connection was successful.400: Bad Request401: Unauthorized402: Payment Required403: Forbidden404: Not Found405: Method Not Allowed409: Conflict413: Payload Too Large500: Internal Server Error501: Not Implemented502: Bad Gateway503: Service Unavailable504: Gateway Timeout
Example Response Structure
{
"voiceProvider": "<string>",
"isCredentialsValid": true,
"msg": "<string>",
"msgErr": "<string>"
}
Authorizations
- APIKeyHeader \n APIKeyQueryParam \n CXoneTokenHeader \n OAuth2
X-API-Key \n string \n header \n required \n Supply the API Key in the HTTP-Header.
Headers
- Accept: enum
\n The Acceptheader specifies the media type that the client expects in the response. Available options:application/json,application/hal+json,application/xml,text/xml,text/csv. The default value isapplication/json.
Available options:
application/jsonapplication/hal+jsonapplication/xmltext/xmltext/csv
Path Parameters
- largeLanguageModelId \n string \n required \n The unique identifier for the large language model. \n Required string length:
24\n Pattern:^[a-z0-9]{24}$
Body
- projectId \n string \n required \n The unique identifier for the Project.
Response Schema
{
"voiceProvider": "<string>",
"isCredentialsValid": true,
"msg": "<string>",
"msgErr": "<string>"
}